Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.dv
Class ValidatedInfo

    java.lang.Object
      weblogic.apache.xerces.impl.dv.ValidatedInfo

Deprecated. please use JDK supplied XML parsers and transformers

public class ValidatedInfo
extends Object

Class to get the information back after content is validated. This info would be filled by validate().

Field Summary
`Object` | `actualValue` Deprecated. The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.
`XSSimpleType` | `memberType` Deprecated. If the type is a union type, then the member type which actually validated the string value.
`XSSimpleType[]` | `memberTypes` Deprecated. If 1.
`String` | `normalizedValue` Deprecated. The normalized value of a string value

Constructor Summary
`ValidatedInfo()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actualValue

    public Object actualValue

  Deprecated.
  The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.

### memberType

    public XSSimpleType memberType

  Deprecated.
  If the type is a union type, then the member type which actually validated the string value.

### memberTypes

    public XSSimpleType[] memberTypes

  Deprecated.
  If 1. the type is a union type where one of the member types is a list, or if the type is a list; and 2. the item type of the list is a union type then an array of member types used to validate the values.

### normalizedValue

    public String normalizedValue

  Deprecated.
  The normalized value of a string value

Constructor Detail

### ValidatedInfo

    public ValidatedInfo()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD